> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a deliverable



## OpenAPI

````yaml post /deliverables
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /deliverables:
    post:
      tags:
        - Deliverables
      summary: Upload a deliverable
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                product_id:
                  type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      success:
                        type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      title:
                        type: string
                      url:
                        type: string

````